Skip to content
Honen Academy

performance

One student's quiz/test scores and activity completion.

One student's quiz/test scores and activity completion.

OpenAPI specification
POST/api/v1/performance/student

Authentication

bearerAuth

Request

curl --globoff --request POST \
  --url 'https://honen.com/api/v1/performance/student' \
  --header 'Authorization: Bearer <BEARER_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data-raw '{
  "userId": "<userId>"
}'

Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.

Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.

Request body schema or example

{
  "type": "object",
  "properties": {
    "userId": {
      "type": "string"
    },
    "courseId": {
      "type": "string"
    }
  },
  "required": [
    "userId"
  ]
}

Responses

200Command result.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "data": {
      "type": "object",
      "properties": {
        "user": {
          "type": "object",
          "properties": {
            "id": {
              "type": "string"
            },
            "name": {
              "type": "string"
            },
            "email": {
              "type": "string"
            }
          },
          "required": [
            "id",
            "name",
            "email"
          ]
        },
        "courses": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "courseId": {
                "type": "string"
              },
              "courseTitle": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "nullable": true
              },
              "completedAt": {
                "type": "string",
                "nullable": true
              },
              "lastActiveAt": {
                "type": "string",
                "nullable": true
              },
              "quizCount": {
                "type": "number"
              },
              "avgQuizPercent": {
                "type": "number",
                "nullable": true
              },
              "testCount": {
                "type": "number"
              },
              "avgTestPercent": {
                "type": "number",
                "nullable": true
              }
            },
            "required": [
              "courseId",
              "courseTitle",
              "startedAt",
              "completedAt",
              "lastActiveAt",
              "quizCount",
              "avgQuizPercent",
              "testCount",
              "avgTestPercent"
            ]
          }
        },
        "quizScores": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "activityId": {
                "type": "string"
              },
              "topicId": {
                "type": "string"
              },
              "topicTitle": {
                "type": "string"
              },
              "unitId": {
                "type": "string"
              },
              "unitTitle": {
                "type": "string"
              },
              "score": {
                "type": "number"
              },
              "totalQuestions": {
                "type": "number"
              },
              "percent": {
                "type": "number"
              },
              "elapsedSeconds": {
                "type": "number"
              },
              "isCompleted": {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              },
              "updatedAt": {
                "type": "string"
              }
            },
            "required": [
              "activityId",
              "topicId",
              "topicTitle",
              "unitId",
              "unitTitle",
              "score",
              "totalQuestions",
              "percent",
              "elapsedSeconds",
              "isCompleted",
              "updatedAt"
            ]
          }
        },
        "testScores": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "testId": {
                "type": "string"
              },
              "testTitle": {
                "type": "string"
              },
              "unitId": {
                "type": "string"
              },
              "unitTitle": {
                "type": "string"
              },
              "score": {
                "type": "number"
              },
              "totalGradeable": {
                "type": "number"
              },
              "percent": {
                "type": "number"
              },
              "elapsedSeconds": {
                "type": "number"
              },
              "isCompleted": {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              },
              "updatedAt": {
                "type": "string"
              }
            },
            "required": [
              "testId",
              "testTitle",
              "unitId",
              "unitTitle",
              "score",
              "totalGradeable",
              "percent",
              "elapsedSeconds",
              "isCompleted",
              "updatedAt"
            ]
          }
        },
        "activityCompletion": {
          "type": "object",
          "properties": {
            "READ": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "FLASHCARDS": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "QUIZ": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "LECTURE": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "PODCAST": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "JAM_SESSION": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "COMIC": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "GAME": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "CHAT": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            },
            "VIDEO": {
              "type": "object",
              "properties": {
                "attempted": {
                  "type": "number"
                },
                "completed": {
                  "type": "number"
                }
              },
              "required": [
                "attempted",
                "completed"
              ]
            }
          },
          "required": [
            "READ",
            "FLASHCARDS",
            "QUIZ",
            "LECTURE",
            "PODCAST",
            "JAM_SESSION",
            "COMIC",
            "GAME",
            "CHAT",
            "VIDEO"
          ]
        }
      },
      "required": [
        "user",
        "courses",
        "quizScores",
        "testScores",
        "activityCompletion"
      ]
    }
  },
  "required": [
    "success",
    "data"
  ]
}
400Malformed JSON request body.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
401Missing or invalid Connector credentials.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
403Connector policy does not permit this command.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
404Unknown command.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}
422Input validation error.
{
  "type": "object",
  "properties": {
    "success": {
      "type": "boolean",
      "enum": [
        false
      ]
    },
    "error": {
      "type": "object",
      "properties": {
        "code": {
          "type": "string"
        },
        "message": {
          "type": "string"
        },
        "resolution": {
          "type": "string"
        },
        "errors": {
          "type": "object",
          "additionalProperties": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "details": {
          "nullable": true
        }
      },
      "required": [
        "code",
        "message",
        "resolution"
      ]
    }
  },
  "required": [
    "success",
    "error"
  ]
}